
D4Science Infrastructure - Task #7427

Add a general purpose postgresql server to collect the production databases

Mar 06, 2017 06:41 PM - Andrea Dell'Amico

Status: Closed Start date: Mar 07, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: PostgreSQL cluster   

Infrastructure: Production   

Description

With the postgis extensions installed.

Subtasks:

Task # 7433: Activate backups for the postgresql production server Closed

History

#3 - Mar 07, 2017 10:02 AM - Andrea Dell'Amico

- Status changed from New to In Progress

Address and IP: postgresql-srv.d4science.org 146.48.123.31

#4 - Mar 07, 2017 12:46 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

- Infrastructure Pre-Production added

The VM is ready. We should migrate there all the postgres 9.x db instances used in production but the portal ones

The database creation will be ansible provisioned until the service of #7429 will be ready.

#5 - Mar 07, 2017 12:51 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

- Infrastructure deleted (Pre-Production)

#6 - Mar 22, 2017 04:08 PM - Massimiliano Assante

I need to port the current DB hosted on dev.d4science.org:5432/gcube-releases in this general purpose postgresql server. How can I do this? In

general a Dump and a restore in the new server is sufficient as the content isn't changing soon. The infra-gateway cluster should be able to contact

this DB.  

#7 - Mar 22, 2017 07:04 PM - Andrea Dell'Amico

gcube-releases has been imported.

Let's open a new ticket with the list of the to-be-moved databases.

#8 - Mar 22, 2017 07:25 PM - Massimiliano Assante

gcube-releases has been imported successfully the portlet now is able to contact the new postgres.
